import { ActionSnapshot, ActionHandler, ActionProcessor } from '../../models';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import { BaseMarkEntityAsActionProcessor } from './BaseMarkEntityAsActionProcessor';
export declare class MarkEntitiesAsUpdatedActionProcessor extends BaseMarkEntityAsActionProcessor {
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class MarkEntitiesAsUpdatedActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
