"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
class BaseFlowActionProcessor extends models_1.ActionProcessor {
    /**
     * Get parameters for single iteration
     * @param shareParameters
     * @param iteration
     */
    getParameters(shareParameters, iteration) {
        const result = {
            iteration: iteration,
        };
        if (this.parameters && this.parameters.parameters !== undefined) {
            result.parameters = shareParameters
                ? this.parameters.parameters
                : JSON.parse(JSON.stringify(this.parameters.parameters));
        }
        return result;
    }
}
exports.BaseFlowActionProcessor = BaseFlowActionProcessor;
//# sourceMappingURL=BaseFlowActionProcessor.js.map