import { ActionHandler, ActionSnapshot, ActionProcessor } from '../../models';
import * as Joi from 'joi';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import { BaseFlowActionProcessor } from './BaseFlowActionProcessor';
export declare class SequenceFlowActionProcessor extends BaseFlowActionProcessor {
    private static actionsValidationSchema;
    private static validationSchema;
    /**
     * @inheritdoc
     */
    getValidationSchema(): Joi.SchemaLike | null;
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class SequenceFlowActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
