"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PromptActionHandler_1 = require("./PromptActionHandler");
const ConfirmActionHandler_1 = require("./ConfirmActionHandler");
const MultiSelectActionHandler_1 = require("./MultiSelectActionHandler");
const SelectActionHandler_1 = require("./SelectActionHandler");
const version = require(process.env.FBL_ENV === 'test' ? '../../../package.json' : '../../../../package.json')
    .version;
module.exports = {
    name: 'fbl.core.fs',
    version: version,
    actionHandlers: [
        new ConfirmActionHandler_1.ConfirmActionHandler(),
        new MultiSelectActionHandler_1.MultiSelectActionHandler(),
        new PromptActionHandler_1.PromptActionHandler(),
        new SelectActionHandler_1.SelectActionHandler(),
    ],
    requires: {
        fbl: version,
    },
};
//# sourceMappingURL=index.js.map