"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const YamlReporter_1 = require("./YamlReporter");
const JsonReporter_1 = require("./JsonReporter");
const version = require(process.env.FBL_ENV === 'test' ? '../../../package.json' : '../../../../package.json')
    .version;
module.exports = {
    name: 'fbl.core.reporters',
    version: version,
    requires: {
        fbl: version,
    },
    reporters: [new YamlReporter_1.YamlReporter(), new JsonReporter_1.JsonReporter()],
};
//# sourceMappingURL=index.js.map