"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FSTemplateUtility_1 = require("./FSTemplateUtility");
const HashTemplateUtility_1 = require("./HashTemplateUtility");
const IncludeTemplateUtility_1 = require("./IncludeTemplateUtility");
const UUIDTemplateUtility_1 = require("./UUIDTemplateUtility");
const NodeRequireTemplateUtility_1 = require("./NodeRequireTemplateUtility");
const DurationTemplateUtility_1 = require("./DurationTemplateUtility");
const ContextTemplateUtility_1 = require("./ContextTemplateUtility");
const version = require(process.env.FBL_ENV === 'test' ? '../../../package.json' : '../../../../package.json')
    .version;
module.exports = {
    name: 'fbl.core.reporters',
    version: version,
    requires: {
        fbl: version,
    },
    templateUtils: [
        new ContextTemplateUtility_1.ContextTemplateUtility(),
        new DurationTemplateUtility_1.DurationTemplateUtility(),
        new FSTemplateUtility_1.FSTemplateUtility(),
        new HashTemplateUtility_1.HashTemplateUtility(),
        new IncludeTemplateUtility_1.IncludeTemplateUtility(),
        new NodeRequireTemplateUtility_1.NodeRequireTemplateUtility(),
        new UUIDTemplateUtility_1.UUIDTemplateUtility(),
    ],
};
//# sourceMappingURL=index.js.map